package xml2;

import java.io.*;

public class Gehalt implements Serializable {

    private double betrag;
    private transient double jahresbetrag=111;

    public Gehalt(double betrag) {
        this.betrag = betrag;
        jahresbetrag = betrag*12;
    }
    public String toString() {
        return new String(" Monatsgehalt: "+betrag+" Jahresbetrag: "+jahresbetrag );
    }

    public void init() {
        jahresbetrag = betrag*12;
    }

    public void setBetrag(double betrag) {
        this.betrag = betrag;
        jahresbetrag = betrag*12;
    }
    public double getBetrag() {
      return betrag;
    }

}


